Create a new bank account for a specific customer.
Body
Required
-
Bank account number (uppercase letters, numbers, or dash only)
Maximum length is
50. Format should match the following pattern:^[A-Z0-9-]+$. -
Type of bank account
Values are
bban,iban,bankgiro, orplusgiro. -
Whether this is the default bank account
-
Optional name for the bank account
Maximum length is
50. -
ISO country code
Maximum length is
2. -
Bank address
Maximum length is
490. -
Bank Sort Code
Maximum length is
50. Format should match the following pattern:^[A-Z]{5}[A-Z0-9]{1,12}$|^$. -
Bank Identifier Code (SWIFT code)
Maximum length is
20. Format should match the following pattern:^[A-Z]{6}[A-Z0-9]{2,5}$|^$.
POST
/customers/{customerId}/bankaccounts
curl \
--request POST 'https://rest.api.24sevenoffice.com/v1/customers/{customerId}/bankaccounts' \
--header "Content-Type: application/json" \
--header "Authorization: string" \
--data '{"number":"string","type":"bban","isDefault":true,"name":"string","countryCode":"string","address":"string","bsc":"string","bic":"string"}'
Request examples
# Headers
Authorization: string
# Payload
{
"number": "string",
"type": "bban",
"isDefault": true,
"name": "string",
"countryCode": "string",
"address": "string",
"bsc": "string",
"bic": "string"
}
Response examples (201)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string
# Payload
{
"number": "string",
"type": "bban",
"isDefault": true,
"name": "string",
"countryCode": "string",
"address": "string",
"bsc": "string",
"bic": "string"
}